<?

  include("../fnc.php");

  if(!$_POST[txtusr] or !$_POST[txtclave]){

   alert("Ingrese un usuario y contraseña","frm_login.php");

   exit();

  }



  $clave=base64_encode($txtclave);

  $qver=mysql_query("select * from usuarios where usuario='$txtusr' and clave='$clave' and catedratico = 'S'");

  if(mysql_num_rows($qver)==0){

   alert("Usted ingresó un usuario o clave incorrecta,\\npor favor intente de nuevo","javascript:history.go(-1)");

  }



  $info=mysql_fetch_array($qver);

  session_start();

  $sid=session_id();



  $del_sesion=mysql_query("delete from sesion where sesion = '$sid'");

  $info[usuario]=base64_encode($info[usuario]);



  $sql="insert into sesion

        set sesion='$sid',

        usuario='{$info[usuario]}',

        nombre='{$info[nombre]}',

        apellido='{$info[apellido]}',

        fecha='$fecha',

        hora='$hora',

        clave='$clave',

        ip='$rmhost',

        tipo='Catedratico',

        mail='{$info[mail]}'";



  $ins=mysql_query($sql);



  if($ins){
   acceso($info[usuario],"Login","Login","Catedratico");
   alert("Bienvenido:\\n{$info[nombre]} {$info[apellido]}","inicio.php");

  }  else{

   echo mysql_error();

  }



?>
